repos:
  - repo: https://github.com/pre-commit/mirrors-mypy
    rev: 'v1.1.1'
    hooks:
      - id: mypy
        args: [--config-file=mypy.ini, --install-types, --non-interactive]

  - repo: https://github.com/pycqa/flake8
    rev: 6.0.0
    hooks:
      - id: flake8

  - repo: local
    hooks:
      - id: pytest
        name: pytest
        entry: pytest
        language: system
        pass_filenames: false
